import java.awt.*;

public class EntityMotorShip extends EntityShip {
    private Color dopColor;
    private boolean pipes;
    private boolean fueltank;

    public EntityMotorShip(int speed, float weight, Color bodyColor, Color dopColor, boolean pipes, boolean fueltank) {
        super(speed, weight, bodyColor);
        this.dopColor = dopColor;
        this.pipes = pipes;
        this.fueltank = fueltank;
    }

    public Color getDopColor() {
        return dopColor;
    }

    public boolean getPipes() {
        return pipes;
    }

    public boolean getFuelTank() {
        return fueltank;
    }
}